<!doctype html>
<html>
<head>
  <meta charset="utf-8">
  <title> Handling events in IE8 and earlier </title>
  <style>
	span {
		cursor: pointer;
	}
	div {
		cursor: crosshair;
	}
  </style>
  <script>
window.onload = function() {
	var div = document.getElementById("clickme");
	if (div.addEventListener) {
		div.addEventListener("click", handleClick, false);
	} else if (div.attachEvent) {
		div.attachEvent("click", handleClick);
	}
	var element = document.getElementById("somediv");
	if (element.addEventListener) {
		element.addEventListener("click", handleClick, false);
		element.addEventListener("mouseover", handleMouseOver, false);
		element.addEventListener("mouseout", handleMouseOut, false);
		element.addEventListener("mousemove", handleMouseMove, false);
	} else if (element.attachEvent) {
		element.attachEvent("click", handleClick);
		element.attachEvent("click", handleMouseOver);
		element.attachEvent("click", handleMouseOut);
		element.attachEvent("click", handleMouseMove);
	}
};

function handleClick(e) {
	var evt = e || window.event;
	var target;
	if (evt.target) {
		target = evt.target;
	} else {
		target = evt.srcElement;
	}
	alert("You clicked on " + target.id);
}
function handleMouseOver(e) {
	var evt = e || window.event;
	var target;
	if (evt.target) {
		target = evt.target;
	} else {
		target = evt.srcElement;
	}
	document.getElementById("handleRespons").innerHTML = "MouseOver # Your mouse was over " + target.id;
}
function handleMouseOut(e) {
	var evt = e || window.event;
	var target;
	if (evt.target) {
		target = evt.target;
	} else {
		target = evt.srcElement;
	}
	document.getElementById("handleRespons").innerHTML = "";
}
function handleMouseOut(e) {
	var evt = e || window.event;
	var target;
	if (evt.target) {
		target = evt.target;
	} else {
		target = evt.srcElement;
	}
	document.getElementById("mouseMove").innerHTML = "";
	document.getElementById("handleRespons").innerHTML = "";
}
function handleMouseMove(e) {
	var evt = e || window.event;
	var target;
	if (evt.target) {
		target = evt.target;
	} else {
		target = evt.srcElement;
	}
	document.getElementById("mouseMove").innerHTML = "MouseMove # x: " + e.clientX + ", y: " + e.clientY + " (element id: " + target.id + ")";
}
  </script>
</head>
<body>
<span id="clickme">Click me!</span>
<div id="somediv">A div with some text!</div>
<div id="mouseMove"></div>
<span id="handleRespons"></span>
</body>
</html>
